﻿using Grpc.Net.Client;

using TestClient;

using var channel = GrpcChannel.ForAddress("http://localhost:5253");

var client = new HelloProto.HelloProtoClient(channel);

HelloReply reply = await client.SayHelloAsync(new HelloRequest { Name = "TestClient" });

Console.WriteLine($"REPLY MESSAGE : {reply.Message}");
Console.WriteLine();
Console.WriteLine("PRESS ANY KEY TO EXIT...");

Console.ReadKey();