using Grpc.Core;

namespace TestServer.Services;

/// <summary>
/// ο 
/// </summary>
public class HelloService : HelloProto.HelloProtoBase
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Field
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region Field

    /// <summary>
    /// ΰ
    /// </summary>
    private readonly ILogger<HelloService> logger;

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region  - HelloService(logger)

    /// <summary>
    /// 
    /// </summary>
    /// <param name="logger">ΰ</param>
    public HelloService(ILogger<HelloService> logger)
    {
        this.logger = logger;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region ο ϱ - SayHello(request, context)

    /// <summary>
    /// ο ϱ
    /// </summary>
    /// <param name="request">û</param>
    /// <param name="context">ؽƮ</param>
    /// <returns> ½ũ</returns>
    public override Task<HelloReply> SayHello(HelloRequest request, ServerCallContext context)
    {
        return Task.FromResult
        (
            new HelloReply
            {
                Message = "Hello " + request.Name
            }
        );
    }

    #endregion
}